idris-1.0: Functional Programming Language with Dependent Types

Copyright | License : BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell98

Idris.Providers

Description

Synopsis

- providerTy :: FC -> PTerm -> PTerm
- getProvided :: FC -> TT Name -> Idris (Provided (TT Name))
- data Provided a = Provide a

# Documentation

providerTy :: FC -> PTerm -> PTerm #

Wrap a type provider in the type of type providers

getProvided :: FC -> TT Name -> Idris (Provided (TT Name)) #

Handle an error, if the type provider returned an error. Otherwise return the provided term.

data Provided a #

Constructors

Provide a |

Instances

Functor Provided # |
Methods fmap :: (a -> b) -> Provided a -> Provided b # (<$) :: a -> Provided b -> Provided a #
Eq a => Eq (Provided a) # |
Methods (==) :: Provided a -> Provided a -> Bool # (/=) :: Provided a -> Provided a -> Bool #
Show a => Show (Provided a) # |
Methods showsPrec :: Int -> Provided a -> ShowS # show :: Provided a -> String # showList :: [Provided a] -> ShowS #